* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Instrument Sans", sans-serif;
}
    

:root{
    --color-primario: #CED4DA;
    --color-secundario: #ADB5BD;
    --color-secundario-opaco: #adb5bd7a;
    --oscuro-primario: #212529;
    --oscuro-secundairo: #495057;
    --color-boton-hover: #1B2A41;
    --color-boton-sin-hover: #324A5F;
    --color-letra-claro: #F8F9FA;
    --color-letra-oscuro: #212529;
}

body {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--color-secundario);
}

.content {
    display: flex;
    width: 70%;
    height: 85%;
    background-color: var(--color-primario);
    padding: 0px;
    border-radius: 15px;
    color: black;
    position: relative;
    filter: drop-shadow(0 0 10px rgba(0,0,0, .8));
}

.logo {
    width: 60%;
    align-self: center;
    justify-self: center;
    transition: 1s all;
}

.logo::before{
    transition: 1s all;
}

.logo:hover{
    transform: scale(1.07);
}

.header{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 60%;
    height: 85vh;
    padding: 20px;
}


.header h1 {
    font-size: 36px;
    color: var(--color-boton-sin-hover);
    transition: all 1s;
}

.header p {
    font-size: 18px;
    line-height: 1.5;
    color: var(--color-letra-oscuro);
    transition: all 1s;
}

.control-a{
    display: flex;
    width: 100%;
    transition: all 1s;
}



.button {
    text-decoration: none;
    color: white;
    width: 50%;
    height: 40px;
    font-size: 20px;
    padding: 5px 10px;
    margin: 30px;
    border-radius: 10px;
    background-color: var(--color-boton-sin-hover);
    transition: all 0.4s ease;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    transition: all 1s;
}

.button:hover {
    background-color: var(--color-boton-hover);
    transform: scale(1.07);
    box-shadow: 0px 0px 20px white;
}

.content, .header, .button-container {
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1s ease-out, transform 1s ease-out;
  }
  
  .visible {
    opacity: 1;
    transform: translateY(0); 
  }

.contenedor-video{
    width: 40%;
    height: 100%;
    position: relative;
    transition: all 1s;
}

.video-background video {
    position: absolute;
    top: 1px;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 0px 10px 10px 0px;
    transition: all 3s;
}

@media screen and (max-width: 480px) {
    .content{
        display: flex;
        flex-direction: column;
    }

    .header{
        width: 100%;
    }

    .header h1 {
        font-size: 26px;
    }

    .header p {
        font-size: 14px;
    }

    .logo {
        width: 40%;
    }

    .control-a{
        display: flex;
        height: 40px;
        padding: 0;
        justify-content: center;
        align-items: center;
        gap: 10px;
    }

    .button{
        width: 100%;
        height: 30px;
        font-size: 10px;
        margin: 0;
        padding: 10px;
    }

    .content{
        width: 95%;
    }

    .contenedor-video{
        width: 100%;
        border-radius: 10px;
    }

    .video-background video {
        position: absolute;
        top: 1px;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 0px 0px 10px 10px ;
        transition: all 3s;
    }
    

}

@media screen and (min-width: 481px) and (max-width: 760px) {
    .content{
        display: flex;
        flex-direction: column;
    }

    .header{
        width: 100%;
    }

    .header h1 {
        font-size: 26px;
    }

    .header p {
        font-size: 14px;
    }

    .logo {
        width: 40%;
    }

    .control-a{
        display: flex;
        height: 40px;
        padding: 0;
        justify-content: center;
        align-items: center;
        gap: 10px;
    }

    .button{
        width: 100%;
        height: 30px;
        font-size: 10px;
        margin: 0;
        padding: 10px;
    }

    .content{
        width: 95%;
    }

    .contenedor-video{
        width: 100%;
        border-radius: 10px;
    }
    
    .video-background video {
        position: absolute;
        top: 1px;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        border-radius: 0px 0px 10px 10px ;
        transition: all 3s;
    }
    
}

  

